package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

public class DrpPurchasePlan {
   @TableId
   private Long id;
   private String planId;
   private LocalDateTime purDate;
   private Integer status;
   private Long purUserId;
   private String remark;
   private Integer approveStatus;
   private Long processInstanceId;
   private Integer delFlag;
   @ApiModelProperty("生产计划ID")
   private String productionPlanId;
   private Integer revision;
   @TableField(
      value = "createBy",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String createBy;
   @TableField(
      value = "createTime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @TableField(
      value = "updateBy",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String updateBy;
   @TableField(
      value = "updateTime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   @ApiModelProperty("关联采购订单号")
   private String relatePlanIds;
   @ApiModelProperty("是否合并")
   private Integer ifMerge;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private String stallId;
   @ApiModelProperty("供应商ID")
   private String supplierIds;
   @ApiModelProperty("预计采购预算")
   private Long purchasingBudgetTotal;
   @ApiModelProperty("审批人")
   private String approveBy;
   @ApiModelProperty("审批完成时间")
   private LocalDateTime approveTime;
   @ApiModelProperty("审批备注")
   private String approveRemark;
   @ApiModelProperty("交货日期")
   private LocalDate deliverGoodsDate;

   public Long getId() {
      return this.id;
   }

   public String getPlanId() {
      return this.planId;
   }

   public LocalDateTime getPurDate() {
      return this.purDate;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Long getPurUserId() {
      return this.purUserId;
   }

   public String getRemark() {
      return this.remark;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public Long getProcessInstanceId() {
      return this.processInstanceId;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public String getProductionPlanId() {
      return this.productionPlanId;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getRelatePlanIds() {
      return this.relatePlanIds;
   }

   public Integer getIfMerge() {
      return this.ifMerge;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getStallId() {
      return this.stallId;
   }

   public String getSupplierIds() {
      return this.supplierIds;
   }

   public Long getPurchasingBudgetTotal() {
      return this.purchasingBudgetTotal;
   }

   public String getApproveBy() {
      return this.approveBy;
   }

   public LocalDateTime getApproveTime() {
      return this.approveTime;
   }

   public String getApproveRemark() {
      return this.approveRemark;
   }

   public LocalDate getDeliverGoodsDate() {
      return this.deliverGoodsDate;
   }

   public DrpPurchasePlan setId(final Long id) {
      this.id = id;
      return this;
   }

   public DrpPurchasePlan setPlanId(final String planId) {
      this.planId = planId;
      return this;
   }

   public DrpPurchasePlan setPurDate(final LocalDateTime purDate) {
      this.purDate = purDate;
      return this;
   }

   public DrpPurchasePlan setStatus(final Integer status) {
      this.status = status;
      return this;
   }

   public DrpPurchasePlan setPurUserId(final Long purUserId) {
      this.purUserId = purUserId;
      return this;
   }

   public DrpPurchasePlan setRemark(final String remark) {
      this.remark = remark;
      return this;
   }

   public DrpPurchasePlan setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
      return this;
   }

   public DrpPurchasePlan setProcessInstanceId(final Long processInstanceId) {
      this.processInstanceId = processInstanceId;
      return this;
   }

   public DrpPurchasePlan setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public DrpPurchasePlan setProductionPlanId(final String productionPlanId) {
      this.productionPlanId = productionPlanId;
      return this;
   }

   public DrpPurchasePlan setRevision(final Integer revision) {
      this.revision = revision;
      return this;
   }

   public DrpPurchasePlan setRelatePlanIds(final String relatePlanIds) {
      this.relatePlanIds = relatePlanIds;
      return this;
   }

   public DrpPurchasePlan setIfMerge(final Integer ifMerge) {
      this.ifMerge = ifMerge;
      return this;
   }

   public DrpPurchasePlan setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }

   public DrpPurchasePlan setStallId(final String stallId) {
      this.stallId = stallId;
      return this;
   }

   public DrpPurchasePlan setSupplierIds(final String supplierIds) {
      this.supplierIds = supplierIds;
      return this;
   }

   public DrpPurchasePlan setPurchasingBudgetTotal(final Long purchasingBudgetTotal) {
      this.purchasingBudgetTotal = purchasingBudgetTotal;
      return this;
   }

   public DrpPurchasePlan setApproveBy(final String approveBy) {
      this.approveBy = approveBy;
      return this;
   }

   public DrpPurchasePlan setApproveTime(final LocalDateTime approveTime) {
      this.approveTime = approveTime;
      return this;
   }

   public DrpPurchasePlan setApproveRemark(final String approveRemark) {
      this.approveRemark = approveRemark;
      return this;
   }

   public DrpPurchasePlan setDeliverGoodsDate(final LocalDate deliverGoodsDate) {
      this.deliverGoodsDate = deliverGoodsDate;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpPurchasePlan setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public DrpPurchasePlan setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public DrpPurchasePlan setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public DrpPurchasePlan setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }
}
